/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package InventoryMgmt.MovementRequest;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class MovementRequest {
    public void makeMovementRequest() {
    }

    public void addDetail() {
    }

    public BigDecimal estimateMovementCost() {
        return new BigDecimal(0);
    }

    public Vector mi_compareRequestWithPlannedMovements() {
        return new Vector();
    }

    public Vector mi_compareRequestWithActualMovements() {
        return new Vector();
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public Vector listQtysFromsTos() {
        return new Vector();
    }

    public static Vector listMovementRequests() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private MovementRequestDetail lnkUnnamed;
    private Date requestDate;
    private Date neededByDate;
    private Date completionDate;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private InventoryMgmt.Movement.Movement lnkUnnamed2;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeMovementRequest lnkUnnamed1;
}


